#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long N;
    long long M;
    long long K;
    long long A;
    long long B;
    int fl=0;
    int fd=0;
    int fg=0;
    int fb=0;

    long long br=0;

    long long tbl [1000][1000];

    cin >> N >> M >> K;

    for (long long i=0; i<N; i++)
    {
        for(long long j=0; j<M; j++)
        {
            tbl[i][j] = 0;
        }
    }

    for (long long i=0; i<K; i++)
    {
        cin >> A >> B;
        tbl[A-1][B-1]=1;
    }

    for (long long i=0; i<N; i++)
    {
        for(long long j=0; j<M; j++)
        {
            if(i != 0) 
            {
                if(tbl[i-1][j]==1)
                {
                    fg=1;
                }
            }
            else
            {
                fg=1;
            }

            if(i != N) 
            {
                if(tbl[i+1][j]==1)
                {
                    fb=1;
                }
            }
            else
            {
                fb=1;
            }

            if(j != 0) 
            {
                if(tbl[i][j-1]==1)
                {
                    fl=1;
                }
            }
            else
            {
                fl=1;
            }

            if(j != M) 
            {
                if(tbl[i][j+1]==1)
                {
                    fd=1;
                }
            }
            else
            {
                fd=1;
            }

            if ((tbl[i][j]==0) && (fl==1) && (fd==1)
                && (fg==1) && (fb==1))
            {
                br++;
            }
            tbl[i][j]=1;
            fd=0;
            fl=0;
            fg=0;
            fb=0;
        }
    }

    cout << br;

    return 0;
}